from materials.abstract_material import AbstractMaterial

from dataclasses import dataclass


@dataclass
class Metal(AbstractMaterial):
    name = "Металл"
    description = "Гладкое, бликует"

    hardness = -20
    health_multiplier = 5

    def leak(self) -> None:
        print("Вы почуствовали неприятную горечь и металлический вкус во рту. Гадость.")

    def touch(self) -> None:
        print("Гладкий, твердый, холодный. Это точно металл.")
