from dataclasses import dataclass

from models.user_body.abstract_body_part import AbstractBodyPart
from models.weapon.abstract_weapon import AbstractWeapon


@dataclass
class Hand(AbstractBodyPart, AbstractWeapon):
    name = "Рука"
    description = "Твоя рука - верный друг, помощник, партнер"

    damage = 1
    health = 100
    hardness = -5
    difficult_handling = 15
